wibble::sys::fs::Directory Class Reference

Nicely wrap access to directories. More...

`#include <fs.h>`

## Classes

class | const_iterator

## Public Member Functions

| Directory (const std::string &path)
| ~Directory ()
const std::string & | path () const
| Pathname of the directory. More...
bool | exists () const
| Check if the directory exists. More...
const_iterator | begin () const
| Begin iterator. More...
const_iterator | end () const
| End iterator. More...

## Protected Attributes

std::string | m_path
| Directory pathname. More...

## Detailed Description

Nicely wrap access to directories.

## Constructor & Destructor Documentation

## Directory()

wibble::sys::fs::Directory::Directory | ( | const std::string & | path | ) |

## ~Directory()

wibble::sys::fs::Directory::~Directory | ( |  | ) |

## Member Function Documentation

## begin()

const_iterator wibble::sys::fs::Directory::begin | ( |  | ) | const

Begin iterator.

Referenced by TestFs::directoryIsdir(), TestFs::directoryIterate(), and TestFs::invalidDirectories().

## end()

const_iterator wibble::sys::fs::Directory::end | ( |  | ) | const

End iterator.

Referenced by TestFs::directoryIsdir(), and TestFs::directoryIterate().

## exists()

bool wibble::sys::fs::Directory::exists | ( |  | ) | const

Check if the directory exists.

Referenced by TestFs::invalidDirectories().

## path()

const std::string& wibble::sys::fs::Directory::path | ( |  | ) | const

inline

Pathname of the directory.

References m_path.

## Member Data Documentation

## m_path

std::string wibble::sys::fs::Directory::m_path

protected

Directory pathname.

Referenced by path().

The documentation for this class was generated from the following file:

- fs.h